Bug 205892 - starting kernel-xen results in reboot
starting kernel-xen results in reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-09 12:59 EDT by Jurgen Kramer
Modified: 2009-12-14 15:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:18:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen capture before the Xen kernel load the module (?) (609.62 KB, image/jpeg)
2006-09-09 12:59 EDT, Jurgen Kramer
no flags Details
Screen capture just before reboot occurs. (64.37 KB, image/jpeg)
2006-09-09 13:01 EDT, Jurgen Kramer
no flags Details

  None (edit)
Description Jurgen Kramer 2006-09-09 12:59:23 EDT
Description of problem:
Starting the xen-kernel results in a reboot

Version-Release number of selected component (if applicable):
2.6.17-1.2630.fc6

How reproducible:
always

Steps to Reproduce:
1. Boot into kernel-xen
2. Xen messages appear
3. System reboots
  
Actual results:
After the initial Xen messages the system reboots

Expected results:
Working Xen kernel 

Additional info:
This is on a Macbook (!pro)
This problem with the Xen kernel rebooting is there for a while now, I have not
reported it before. I managed to get some pictures of the screen before the
system reboots (avi movie convert to jpegs using mplayer)
Comment 1 Jurgen Kramer 2006-09-09 12:59:24 EDT
Created attachment 135908 [details]
Screen capture before the Xen kernel load the module (?)
Comment 2 Jurgen Kramer 2006-09-09 13:01:43 EDT
Created attachment 135909 [details]
Screen capture just before reboot occurs.
Comment 3 Jurgen Kramer 2006-09-20 14:49:47 EDT
Unfortunately kernel 2.6.17-1.2647 gives the same result. Booting with 'noapic'
or 'irqpoll' does not help. Any other ways to debug this further? I'd like to
test the MacBook's VT support.
Comment 4 Igor Foox 2006-09-22 10:24:42 EDT
I can reproduce the same thing on a macbook pro. I'll try to make a screenshot
later today, and attach it for comparison.

Any ideas here?
Comment 5 Jurgen Kramer 2006-10-08 13:12:02 EDT
I finally managed to get xen booting properly on my Macbook, google saved the
day. It seems to be a known problem...just do not use the 'enter' key in GRUB to
boot linux (???).

See:
http://lists.xensource.com/archives/html/xen-devel/2006-08/msg00574.html

'Solution'
http://lists.xensource.com/archives/html/xen-devel/2006-08/msg00612.html

Maybe the GRUB patch can used for FC?
Comment 6 Chris Lalancette 2008-02-26 18:18:56 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.